version: '3.7'

services:
    database:
        build: ./neo4j
        environment:
            - NEO4J_AUTH=neo4j/test
        ports:
            - "7474:7474"
            - "7687:7687"
        volumes:
            - ./neo4j/import:/var/lib/neo4j/import
            - ./neo4j/data:/var/lib/neo4j/data
    redis:
        image: "redis:alpine"
        ports:
            - "6379:6379"
    redis-client:
        build: ./redis